import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 850;
const height = 455;
const centerX = width / 2;
const centerY = height /2;
const strokeWidth = 15;
const eyeOffsetX = 125;
const eyeOffsetY = 50;
const eyebrowYOffset = -80;
const eyeRadius = 35;
const mouthWidth = 20;
const mouthRadius = 65;

//creation of mouth
const mouthArc = d3.arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

//creation of eye arc
const eyeArc = d3.arc()
    .innerRadius(30)
    .outerRadius(60)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);

//creation of ear arc
const earArc = d3.arc()
    .innerRadius(50)
    .outerRadius(80)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="red"
        stroke="green"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	
      />
    <ellipse
        rx={eyeRadius}
        ry={eyeRadius/2}
        fill = "yellow" //file the ellipse color
        transform = "rotate(-90  )"
      />
      
    	<path 
        d = {eyeArc()}
        transform = "rotate(5)    translate(-132,-68)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-5)    translate(132,-68)"
        fill = "black"
      />
    	<path 
        d = {earArc()} 
        transform = "rotate(60) translate(5,-215)"
        fill = "purple"
      />
      <path 
        d = {earArc()} 
        transform = "rotate(-60) translate(5,-215)"
        fill = "purple"
      />
  		<path d={mouthArc()}
    		transform = "translate(-4,80)"
      	fill = ""
      />
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);